/* NSScanner-FarmExtensions.m created by tomi on Thu 27-Apr-2000 */

#import "NSScanner-FarmExtensions.h"

@implementation NSScanner (FarmExtensions)

- (BOOL)scanUpToString:(NSString *)string intoString:(NSString **)value skipString:(BOOL)flag
/*"
   First scans up to the string and then it scans til the end of string. The first part is returned in value.
"*/
{
    BOOL result = [self scanUpToString:string intoString:value];
    if( flag ) [self scanString:string intoString:NULL];

    return result;
}

- (BOOL)scanUpToCharactersFromSet:(NSCharacterSet *)set intoString:(NSString **)value skipSet:(BOOL)flag
/*"
    First scans up to the characters from set and then it scans til the first char which is not from the set.
"*/
{
    BOOL result = [self scanUpToCharactersFromSet:set intoString:value];
    if( flag ) [self scanCharactersFromSet:set intoString:NULL];

    return result;
}

@end
